Installing Debian with integrated GPU

Everything about X, Gnome, KDE, ... and everything running on it

Installing Debian with integrated GPU

Postby maxymilian958 » 2020-02-29 15:50

I've recently bought a laptop- ASUS Vivobook 15, it comes with AMD ryzen 3200U with integrated radeon vega mobile graphics.
I'd love to install debian with xfce on it but i'm failing to do so- I'm getting black screen with blinking cursor in the top-left corner. I suspect there is a problem with the drivers and xfce is unable to start. Will post some additional info if needed. Pls help, I just want to be able to use my new laptop with debian.
maxymilian958
 
Posts: 5
Joined: 2020-02-29 15:06

Re: Installing Debian with integrated GPU

Postby arzgi » 2020-02-29 16:50

arzgi
 
Posts: 638
Joined: 2008-02-21 17:03
Location: Finland

Re: Installing Debian with integrated GPU

Postby Head_on_a_Stick » 2020-02-29 16:51

Third generation Ryzen is too new for the Debian buster kernel.

You could try a newer kernel version, use this kernel command line parameter to boot to a console instead of the graphical desktop:
Code: Select all
systemd.unit=multi-user.target

Then follow viewtopic.php?f=16&t=139003

But you will probably also need newer firmware for your graphics chip: https://forum.mxlinux.org/viewtopic.php ... 56#p560556

If that doesn't work then I think forum member stevepusser has a custom repository that may help, await their reply.

EDIT: or just use Arch instead, that's good for shiny new shit.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12184
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Installing Debian with integrated GPU

Postby stevepusser » 2020-03-01 01:55

Well, you could try the respin I did back in November--just make a Live USB from the ISO with dd or Rufus on Windows, and see if it gets to a GUI. I'm pretty sure a newer Mesa is part of the answer, and backports doesn't have that yet.

https://archive.org/details/mx19x64updated
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.7, Strawberry 0.6.12, Pale Moon 28.10.0, Xscreensaver 5.44, Krita 4.3.0, Foliate 2.4.0
User avatar
stevepusser
 
Posts: 11799
Joined: 2009-10-06 05:53

Re: Installing Debian with integrated GPU

Postby maxymilian958 » 2020-03-01 10:22

Thank you so much for the help guys! I already tried Head_on_a_Stick's but both links are outdaded (git commands return error). I'm in the middle of configuring arch at the moment and xfce works just fine. Gonna try the respin of MX Linux that stevepusser made to see if the GUI works. If Live boots up correctly and works fine then it will work after installation too, right? (Ubuntu 18.04 LTS works in the Live but I got black screen after running apt upgrade on fresh install)
maxymilian958
 
Posts: 5
Joined: 2020-02-29 15:06

Re: Installing Debian with integrated GPU

Postby Bloom » 2020-03-01 10:49

Debian host sites for downloading ISO's do not work with git. You need to use your webbrowser or a commandline tool like wget or curl to download the files.
User avatar
Bloom
 
Posts: 267
Joined: 2017-11-11 12:23

Re: Installing Debian with integrated GPU

Postby Head_on_a_Stick » 2020-03-01 10:53

maxymilian958 wrote:I already tried Head_on_a_Stick's but both links are outdaded (git commands return error).

I only posted the links on the MX forums 12 days ago. What error did you get from git?

It works for me right now:
Code: Select all
empty@E485:~/git $ git clone https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
Cloning into 'linux-firmware'...
remote: Enumerating objects: 9338, done.
remote: Counting objects: 100% (9338/9338), done.
remote: Compressing objects: 100% (3580/3580), done.
remote: Total 9338 (delta 6137), reused 8212 (delta 5437)
Receiving objects: 100% (9338/9338), 280.51 MiB | 4.79 MiB/s, done.
Resolving deltas: 100% (6137/6137), done.
Checking out files: 100% (2313/2313), done.
empty@E485:~/git $

EDIT: or just navigate to the site and download the files with your browser.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12184
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Installing Debian with integrated GPU

Postby maxymilian958 » 2020-03-01 16:02

Sorry, my bad. The second link that you gave me just doesn't resolve my issue. On the other hand commands from viewtopic.php?f=16&t=139003 succesfully update kernel from backports, but I'm unable to follow viewtopic.php?p=684553#p684553 as the repository deb http://download.opensuse.org/repositori ... ebian_9.0/ dosen't seem to exist.
maxymilian958
 
Posts: 5
Joined: 2020-02-29 15:06

Re: Installing Debian with integrated GPU

Postby Head_on_a_Stick » 2020-03-01 16:46

maxymilian958 wrote:I'm unable to follow viewtopic.php?p=684553#p684553 as the repository deb http://download.opensuse.org/repositori ... ebian_9.0/ dosen't seem to exist.

Steve's updated the repository for buster so use these commands instead:
Code: Select all
tee /etc/apt/sources.list.d/home:stevenpusser:new-hardware-support-buster.list <<<'deb http://download.opensuse.org/repositories/home:/stevenpusser:/new-hardware-support-buster/Debian_10.0/ /'
rm -f Release.key && wget -nv http://download.opensuse.org/repositories/home:/stevenpusser:/new-hardware-support-buster/Debian_10/Release.key -O Release.key && apt-key add - < Release.key && rm Release.key

Be sure to run those commands as root though.

EDIT: did you copy the amdgpu firmware files from the git repository to /lib/firmware/amdgpu/? I think you'll still need to do that even with Steve's packages installed, the amdgpu firmware packages are from July last year.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12184
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Installing Debian with integrated GPU

Postby maxymilian958 » 2020-03-01 22:58

I think I messed something up. There was no /lib/firmware/amdgpu folder so i created it and pasted the files there from the git repository. At this point I don't even know what I have already installed and what I'm still missing :(
One simple fresh install instructions would do the job but sadly I don't know which steps to follow and in what order. I'd really appreciate it if you could guide me through the process once again. I already reinstalled debian from live image 10.3.0 amd64 xfce and I'm waiting for the instructions.
maxymilian958
 
Posts: 5
Joined: 2020-02-29 15:06

Re: Installing Debian with integrated GPU

Postby stevepusser » 2020-03-02 00:55

The lack of any /lib/firmware/andgpu folder at all means you never installed firmware-amd-graphics, which is required for AMD GPUs. Debian doesn't install that by default because the files are not "free" as in speech.

Did you ever try my MX respin? If it boots to a working GUI in the Live Session, then Buster should work with the addition of some of my backports from the OBS repo. MX should also keep working after an install (crosses fingers).
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.7, Strawberry 0.6.12, Pale Moon 28.10.0, Xscreensaver 5.44, Krita 4.3.0, Foliate 2.4.0
User avatar
stevepusser
 
Posts: 11799
Joined: 2009-10-06 05:53

Re: Installing Debian with integrated GPU

Postby maxymilian958 » 2020-03-02 17:28

You were right, MX respin that you created works perfect. Thank you so much for your help, I'll stick with that :D
Just one more question, am I allowed to run apt upgrade right now? I keep getting reminded that there are upgrades waiting but I'm afraid this might corrupt the drivers.
Pasting the apt list --upgradeable below
Code: Select all
Listing...
adobe-flash-properties-gtk/mx 1:20200211.1-1mx19+1 amd64 [upgradable from: 1:20191113.1-1mx19+1]
adobe-flashplugin/mx 1:20200211.1-1mx19+1 amd64 [upgradable from: 1:20191113.1-1mx19+1]
advert-block-antix/mx,mx 0.2.21mx19+1 all [upgradable from: 0.2.19]
antix-libs/mx,mx 0.8.0mx19+1 all [upgradable from: 0.7.3]
apt-notifier/mx,mx 20.02.22mx19+1 all [upgradable from: 19.10.17mx19+1]
base-files/stable 10.3+deb10u3 amd64 [upgradable from: 10.3+deb10u2]
blueman/buster 2.0.8-1.antix1 amd64 [upgradable from: 2.0.8-1]
chroot-rescue-mx/mx,mx 0.1.11 all [upgradable from: 0.1.10]
cli-aptix/mx,mx 0.2.23mx19+1 all [upgradable from: 0.2.22]
cli-installer-antix/mx,mx 4.2mx19+1 all [upgradable from: 4.1]
cli-shell-utils/mx,mx 0.3.30mx19+1 all [upgradable from: 0.3.28]
cups-bsd/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
cups-client/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
cups-common/stable,stable 2.2.10-6+deb10u2 all [upgradable from: 2.2.10-6+deb10u1]
cups-core-drivers/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
cups-daemon/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
cups-ipp-utils/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
cups-ppdc/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
cups-server-common/stable,stable 2.2.10-6+deb10u2 all [upgradable from: 2.2.10-6+deb10u1]
cups/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
curl/stable 7.64.0-4+deb10u1 amd64 [upgradable from: 7.64.0-4]
ddm-mx/mx,mx 19.11.03 all [upgradable from: 19.11.02]
desktop-defaults-mx-xfce-desktop/mx,mx 20.01.06 all [upgradable from: 19.10.03]
desktop-defaults-mx-xfce-system/mx,mx 20.01.06 all [upgradable from: 19.10.03]
desktop-defaults-mx-xfce/mx,mx 20.01.06 all [upgradable from: 19.10.03]
e2fsprogs/stable 1.44.5-1+deb10u3 amd64 [upgradable from: 1.44.5-1+deb10u2]
exo-utils/mx 0.12.11-1~mx19+1 amd64 [upgradable from: 0.12.8-0mx19+1]
faenza-cupertino-icons/mx,mx 0.1.0mx19 all [upgradable from: 0.1.0]
faenza-icons/mx,mx 0.1.0mx19 all [upgradable from: 0.1.0]
fbxkb/buster 0.6-2.8 amd64 [upgradable from: 0.6-2.5]
featherpad/mx 0.12.1-1~mx19+1 amd64 [upgradable from: 0.10.0-1~mx19+1]
feh/buster 3.3-1.antix1 amd64 [upgradable from: 3.1.3-1]
firefox/buster,mx 73.0.1~mozillabinaries-1mx19+1 amd64 [upgradable from: 70.0.1~mozillabinaries-1mx19+1]
fskbsetting/mx,mx 0.5.3.5mx19+1 all [upgradable from: 0.5.3.5]
gazelle-installer-data-mx/mx,mx 20.01.01 all [upgradable from: 19.09.01]
gdebi-core/buster,buster 0.9.5.7+nmu3.antix1 all [upgradable from: 0.9.5.7+nmu3+mx19]
gdebi/buster,buster 0.9.5.7+nmu3.antix1 all [upgradable from: 0.9.5.7+nmu3+mx19]
gir1.2-javascriptcoregtk-4.0/stable 2.26.4-1~deb10u1 amd64 [upgradable from: 2.26.2-1~deb10+1]
gir1.2-webkit2-4.0/stable 2.26.4-1~deb10u1 amd64 [upgradable from: 2.26.2-1~deb10+1]
git-man/stable,stable,stable,stable 1:2.20.1-2+deb10u1 all [upgradable from: 1:2.20.1-2]
git/stable,stable 1:2.20.1-2+deb10u1 amd64 [upgradable from: 1:2.20.1-2]
gnome-ppp/mx 0.3.23-2.1mx19 amd64 [upgradable from: 0.3.23-2.1]
gparted/buster 1.0.0-0.antix1 amd64 [upgradable from: 0.32.0-2]
gtk2-engines-murrine/stable 0.98.2-2+deb10u1 amd64 [upgradable from: 0.98.2-2]
intel-microcode/stable,stable 3.20191115.2~deb10u1 amd64 [upgradable from: 3.20191112.1~deb10u1]
isomount/mx,mx 0.1.5mx19+1 all [upgradable from: 0.1.4]
libboost-atomic1.67.0/stable 1.67.0-13+deb10u1 amd64 [upgradable from: 1.67.0-13]
libboost-chrono1.67.0/stable 1.67.0-13+deb10u1 amd64 [upgradable from: 1.67.0-13]
libboost-date-time1.67.0/stable 1.67.0-13+deb10u1 amd64 [upgradable from: 1.67.0-13]
libboost-filesystem1.67.0/stable 1.67.0-13+deb10u1 amd64 [upgradable from: 1.67.0-13]
libboost-iostreams1.67.0/stable 1.67.0-13+deb10u1 amd64 [upgradable from: 1.67.0-13]
libboost-locale1.67.0/stable 1.67.0-13+deb10u1 amd64 [upgradable from: 1.67.0-13]
libboost-system1.67.0/stable 1.67.0-13+deb10u1 amd64 [upgradable from: 1.67.0-13]
libboost-thread1.67.0/stable 1.67.0-13+deb10u1 amd64 [upgradable from: 1.67.0-13]
libburn4/stable 1.5.0-1+deb10u1 amd64 [upgradable from: 1.5.0-1]
libcom-err2/stable 1.44.5-1+deb10u3 amd64 [upgradable from: 1.44.5-1+deb10u2]
libcups2/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
libcupsimage2/stable 2.2.10-6+deb10u2 amd64 [upgradable from: 2.2.10-6+deb10u1]
libcurl3-gnutls/stable 7.64.0-4+deb10u1 amd64 [upgradable from: 7.64.0-4]
libcurl4/stable 7.64.0-4+deb10u1 amd64 [upgradable from: 7.64.0-4]
libexif12/stable 0.6.21-5.1+deb10u1 amd64 [upgradable from: 0.6.21-5.1]
libexo-1-0/mx 0.12.11-1~mx19+1 amd64 [upgradable from: 0.12.8-0mx19+1]
libexo-2-0/mx 0.12.11-1~mx19+1 amd64 [upgradable from: 0.12.8-0mx19+1]
libexo-common/mx,mx 0.12.11-1~mx19+1 all [upgradable from: 0.12.8-0mx19+1]
libexo-helpers/mx,mx 0.12.11-1~mx19+1 all [upgradable from: 0.12.8-0mx19+1]
libext2fs2/stable 1.44.5-1+deb10u3 amd64 [upgradable from: 1.44.5-1+deb10u2]
libgnutls30/stable 3.6.7-4+deb10u2 amd64 [upgradable from: 3.6.7-4]
libidn2-0/stable,stable 2.0.5-1+deb10u1 amd64 [upgradable from: 2.0.5-1]
libimobiledevice-utils/stable 1.2.1~git20181030.92c5462-2 amd64 [upgradable from: 1.2.1~git20181030.92c5462-1]
libimobiledevice6/stable 1.2.1~git20181030.92c5462-2 amd64 [upgradable from: 1.2.1~git20181030.92c5462-1]
libjavascriptcoregtk-4.0-18/stable 2.26.4-1~deb10u1 amd64 [upgradable from: 2.26.2-1~deb10+1]
libmariadb3/stable 1:10.3.22-0+deb10u1 amd64 [upgradable from: 1:10.3.18-0+deb10u1]
libmatroska6v5/stable 1.4.9-1+deb10u1 amd64 [upgradable from: 1.4.9-1]
libnss-myhostname/mx 1:241-7~deb10u3+mx19 amd64 [upgradable from: 1:241-5+mx19+2]
libnss3/stable,stable 2:3.42.1-1+deb10u2 amd64 [upgradable from: 2:3.42.1-1+deb10u1]
libopenconnect5/stable,stable 8.02-1+deb10u1 amd64 [upgradable from: 8.02-1]
libopenjp2-7/stable 2.3.0-2+deb10u1 amd64 [upgradable from: 2.3.0-2]
libpam-systemd/mx 1:241-7~deb10u3+mx19 amd64 [upgradable from: 1:241-5+mx19+2]
libpython3.7-minimal/stable 3.7.3-2+deb10u1 amd64 [upgradable from: 3.7.3-2]
libpython3.7-stdlib/stable 3.7.3-2+deb10u1 amd64 [upgradable from: 3.7.3-2]
libpython3.7/stable 3.7.3-2+deb10u1 amd64 [upgradable from: 3.7.3-2]
libqt5concurrent5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5core5a/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5dbus5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5gui5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5network5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5opengl5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5printsupport5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5sql5-sqlite/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5sql5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5test5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5widgets5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libqt5xml5/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
libsasl2-2/stable,stable 2.1.27+dfsg-1+deb10u1 amd64 [upgradable from: 2.1.27+dfsg-1]
libsasl2-modules-db/stable,stable 2.1.27+dfsg-1+deb10u1 amd64 [upgradable from: 2.1.27+dfsg-1]
libss2/stable 1.44.5-1+deb10u3 amd64 [upgradable from: 1.44.5-1+deb10u2]
libsystemd0/mx 1:241-7~deb10u3+mx19 amd64 [upgradable from: 1:241-5+mx19+2]
libthunarx-3-0/mx 1.8.12-0.1~mx19+1 amd64 [upgradable from: 1.8.9-0mx19+1]
libtiff-tools/stable,stable 4.1.0+git191117-2~deb10u1 amd64 [upgradable from: 4.0.10-4]
libtiff5/stable,stable 4.1.0+git191117-2~deb10u1 amd64 [upgradable from: 4.0.10-4]
libtimedate-perl/stable,stable 2.3000-2+deb10u1 all [upgradable from: 2.3000-2]
libtumbler-1-0/mx 0.2.8-1~mx19+1 amd64 [upgradable from: 0.2.7-0mx19+1]
libudev1/mx 1:241-7~deb10u3+mx19 amd64 [upgradable from: 1:241-5+mx19+2]
libvpx5/stable,stable 1.7.0-3+deb10u1 amd64 [upgradable from: 1.7.0-3]
libwebkit2gtk-4.0-37/stable 2.26.4-1~deb10u1 amd64 [upgradable from: 2.26.2-1~deb10+1]
libxatracker2/stable 18.3.6-2+deb10u1 amd64 [upgradable from: 18.3.6-2]
libxfce4ui-1-0/mx 4.14.1-1~mx19+1 amd64 [upgradable from: 4.14.1-0mx19+1]
libxfce4ui-2-0/mx 4.14.1-1~mx19+1 amd64 [upgradable from: 4.14.1-0mx19+1]
libxfce4ui-common/mx,mx 4.14.1-1~mx19+1 all [upgradable from: 4.14.1-0mx19+1]
lightdm-gtk-greeter-mx19/mx,mx 20.01.02 all [upgradable from: 19.10.2]
lightdm-modified-init/mx,mx 20.01.02 all [upgradable from: 19.10.02]
live-kernel-updater/mx,mx 0.2.18mx19+1 all [upgradable from: 0.2.18]
live-usb-maker/mx,mx 0.4.6mx19+1 all [upgradable from: 0.4.4]
lo-main-helper/mx,mx 20.03.02 all [upgradable from: 19.11.01]
localize-repo-mx/mx,mx 19.10.02 all [upgradable from: 19.10.01]
mariadb-common/stable,stable 1:10.3.22-0+deb10u1 all [upgradable from: 1:10.3.18-0+deb10u1]
mx-cleanup/mx 19.12 amd64 [upgradable from: 19.9]
mx-conky-data/mx,mx 20200203.mx19 all [upgradable from: 20191014.mx19]
mx-conky/mx 19.12 amd64 [upgradable from: 19.9.01]
mx-docs/mx,mx 20200211mx19 all [upgradable from: 20191104mx19]
mx-goodies/mx,mx 20.02.01 all [upgradable from: 19.10.01]
mx-greybird-themes/mx,mx 20.02 all [upgradable from: 19.09]
mx-installer/mx 20.2 amd64 [upgradable from: 19.11.03]
mx-iso-template/mx,mx 20.02.01 all [upgradable from: 19.10.03]
mx-live-usb-maker/mx 20.2.1 amd64 [upgradable from: 19.11.02]
mx-packageinstaller-pkglist/mx,mx 20.03.02 all [upgradable from: 19.11.01]
mx-packageinstaller/mx 20.2 amd64 [upgradable from: 19.11]
mx-pkexec/mx,mx 20.02.02 all [upgradable from: 19.07.01]
mx-remaster/mx,mx 20.02.01 all [upgradable from: 19.11.02]
mx-repo-list/mx,mx 20.2 all [upgradable from: 19.6]
mx-repo-manager/mx 20.2 amd64 [upgradable from: 19.10.02]
mx-snapshot/mx 20.2 amd64 [upgradable from: 19.10.04]
mx-system-sounds/mx 20.02.01 amd64 [upgradable from: 19.10.01]
mx-system/mx,mx 20.02.08 all [upgradable from: 19.10.05]
mx-tweak-data/mx,mx 20.02.02 all [upgradable from: 19.09.01]
mx-tweak/mx 20.02.04 amd64 [upgradable from: 19.11.01]
mx-usb-unmounter/mx 20.01.01 amd64 [upgradable from: 19.09.01]
mx-welcome-data/mx,mx 20.01.01 all [upgradable from: 19.06.01]
mx19-artwork/mx,mx 20.01.01 all [upgradable from: 19.09.02]
ndiswrapper-dkms/mx,mx 1.62-0.1~mx19+2 all [upgradable from: 1.61-0.1~mx19+5]
ndiswrapper-utils-1.9/mx,mx 1.62-0.1~mx19+2 all [upgradable from: 1.61-0.1~mx19+5]
ndiswrapper/mx 1.62-0.1~mx19+2 amd64 [upgradable from: 1.61-0.1~mx19+5]
numix-gtk-theme/mx,mx 2.6.7-4.mx19+1 all [upgradable from: 2.6.7-4.antix1]
openconnect/stable,stable 8.02-1+deb10u1 amd64 [upgradable from: 8.02-1]
openssh-client/stable 1:7.9p1-10+deb10u2 amd64 [upgradable from: 1:7.9p1-10+deb10u1]
papirus-icon-theme/mx,mx 20200201-1mx19+1 all [upgradable from: 20190203-1]
partition-info/mx,mx 1.11mx19 all [upgradable from: 1.11]
ppp/stable 2.4.7-2+4.1+deb10u1 amd64 [upgradable from: 2.4.7-2+4.1]
python-apt-common/stable,stable,stable,stable 1.8.4.1 all [upgradable from: 1.8.4]
python-apt/stable,stable 1.8.4.1 amd64 [upgradable from: 1.8.4]
python-imobiledevice/stable 1.2.1~git20181030.92c5462-2 amd64 [upgradable from: 1.2.1~git20181030.92c5462-1]
python3-apt/stable,stable 1.8.4.1 amd64 [upgradable from: 1.8.4]
python3-pil/stable 5.4.1-2+deb10u1 amd64 [upgradable from: 5.4.1-2]
python3.7-minimal/stable 3.7.3-2+deb10u1 amd64 [upgradable from: 3.7.3-2]
python3.7/stable 3.7.3-2+deb10u1 amd64 [upgradable from: 3.7.3-2]
qt5-gtk-platformtheme/stable 5.11.3+dfsg1-1+deb10u3 amd64 [upgradable from: 5.11.3+dfsg1-1+deb10u1]
smxi-inxi-antix/mx,mx 0.4.19mx19+1 all [upgradable from: 0.4.18]
ssh-askpass-gnome/stable 1:7.9p1-10+deb10u2 amd64 [upgradable from: 1:7.9p1-10+deb10u1]
sudo/stable 1.8.27-1+deb10u2 amd64 [upgradable from: 1.8.27-1+deb10u1]
synaptic/buster 0.90+antix1 amd64 [upgradable from: 0.84.6.0antix1]
systemd/mx 1:241-7~deb10u3+mx19 amd64 [upgradable from: 1:241-5+mx19+2]
thunar-data/mx,mx 1.8.12-0.1~mx19+1 all [upgradable from: 1.8.9-0mx19+1]
thunar/mx 1.8.12-0.1~mx19+1 amd64 [upgradable from: 1.8.9-0mx19+1]
thunderbird/mx 2:68.5.0-1mx19+1 amd64 [upgradable from: 2:60.9.0-1~mx19+1]
tumbler-common/mx,mx 0.2.8-1~mx19+1 all [upgradable from: 0.2.7-0mx19+1]
tumbler-plugins-extra/mx 0.2.8-1~mx19+1 amd64 [upgradable from: 0.2.7-0mx19+1]
tumbler/mx 0.2.8-1~mx19+1 amd64 [upgradable from: 0.2.7-0mx19+1]
udev/mx 1:241-7~deb10u3+mx19 amd64 [upgradable from: 1:241-5+mx19+2]
virtualbox-guest-dkms/buster,buster,mx,mx 6.1.2-dfsg-1~mx19+1 all [upgradable from: 6.0.14-dfsg-1~mx19+1]
virtualbox-guest-utils-modified-init/buster,buster 20.02.02 all [upgradable from: 19.07.01]
virtualbox-guest-utils/buster,mx 6.1.2-dfsg-1~mx19+1 amd64 [upgradable from: 6.0.14-dfsg-1~mx19+1]
virtualbox-guest-x11/buster,mx 6.1.2-dfsg-1~mx19+1 amd64 [upgradable from: 6.0.14-dfsg-1~mx19+1]
vlc-plugin-base/mx 3.0.8-2mx19+3 amd64 [upgradable from: 3.0.8-2mx19+3]
xfce4-cpufreq-plugin/mx 1.2.1-2mx19+1 amd64 [upgradable from: 1.2.1-1]
xfce4-session/mx 4.14.1-1~mx19+1 amd64 [upgradable from: 4.14.0-0mx19+1]
xfce4-settings/mx 4.14.2-1~mx19+1 amd64 [upgradable from: 4.14.1-1~mx19+1]
xfce4-whiskermenu-plugin/mx 2.4.2-0.1~mx19+1 amd64 [upgradable from: 2.3.3-0mx19+1]
xfdesktop4-data/mx,mx 4.14.2-1~mx19+1 all [upgradable from: 4.14.1-0mx19+1]
xfdesktop4/mx 4.14.2-1~mx19+1 amd64 [upgradable from: 4.14.1-0mx19+1]
maxymilian958
 
Posts: 5
Joined: 2020-02-29 15:06

Re: Installing Debian with integrated GPU

Postby stevepusser » 2020-03-11 00:35

You're probably better off downloading and using the newer MX 19.1 "AHS" special edition, which has a newer 5.4 kernel backported from Debian. You should be safely able to run all MX upgrades, even though we pushed a Mesa 19.3.3 upgrade for AHS users shortly after 19.1 was released.

It is odd that the Debian OBS repo with the essentially the same packages as the updated MX didn't work, but perhaps you didn't upgrade the kernel or some other essential package from it.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.7, Strawberry 0.6.12, Pale Moon 28.10.0, Xscreensaver 5.44, Krita 4.3.0, Foliate 2.4.0
User avatar
stevepusser
 
Posts: 11799
Joined: 2009-10-06 05:53


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 11 guests

fashionable